### Method

# FwupdPlugin Firmware get_checksum

since: 1.6.0

#### Declaration [src]

    gchar*
    fu_firmware_get_checksum (
      FuFirmware* self,
      GChecksumType csum_kind,
      GError** error
    )

#### Description [src]

Returns a checksum of the payload data.

Available since: 1.6.0

#### Parameters

`csum_kind`

  Type: `GChecksumType`

  A checksum type, e.g. `G_CHECKSUM_SHA256`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A checksum string, or `NULL` if the checksum is not available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.